@echo off
if %PLTREE%. == . set PLTREE=C:\PL
if %PLSO%. == . set PLSO=CON
echo Starting POWERLan... >%PLSO%
if %1. == . goto skip_xfer
goto %1
:skip_xfer
if not exist %PLTREE%\COPYDRV.BAT goto skip_copy
CALL %PLTREE%\COPYDRV.BAT
DEL %PLTREE%\COPYDRV.BAT
:skip_copy
REM
REM                 [-------------------------------------]
REM                 [  POWERLan Configuration Batch File  ]
REM                 [-------------------------------------]
REM
REM
REM - - - - - - - - - - - Initialization  - - - - - - - - - - - - - - - - - -
REM
c:\qemm\loadhi /rf share  /f:2048 /l:20 >>%PLSO%
if errorlevel 1 pause
REM
REM - - - - - - - - - - - - - - - - - - Start NETBIOS - - - - - - - - - - - -
REM
REM
c:\qemm\loadhi /rf %PLTREE%\PROGRAMS\nxne2000  /ses:14 /nam:17 /lp:340 /li:10 
if errorlevel 1 pause
REM
REM - - - - - - - - - - - - - - - - -  Start Name Server - - - - - - - - - - - - -
REM
C:\QEMM\LOADHI /RF %PLTREE%\PROGRAMS\nameserv  /names:2 >>%PLSO%
if errorlevel 1 pause
REM
REM - - - - - - - - - - -(NOT ACTIVE)  Start Unspooler - - - - - - - - - - - 
REM
REM
REM - - - - - - - - - - -(NOT ACTIVE)  Start Cache - - - - - - - - - - - - - 
REM
REM CFG=%PLTREE%\PROGRAMS\cache 0 /e >>%PLSO%
REM CFG=%PLTREE%\PROGRAMS\cachectl  >nul
REM
REM - - - - - - - - - - - - - - - - -  Start Redirector - - - - - - - - - - -
REM
C:\QEMM\LOADHI /RF %PLTREE%\PROGRAMS\redir /n:WARP1 /d:26 /s:4 /k:1 /b:2 /p1:1 /p2:1 /p3:1 /q >>%PLSO%
if errorlevel 1 pause
REM CFG=%PLTREE%\PROGRAMS\net lpt  /LPT1:9 /LPT2:9 /LPT3:9 >>%PLSO%
REM
REM - - - - - - - - - - -(NOT ACTIVE)  Start Remote Viewing - - - - - - - - -
REM
REM CFG=%PLTREE%\PROGRAMS\netshow WARP1  /adapter:0 >>%PLSO%
REM CFG=%PLTREE%\PROGRAMS\alert  >>%PLSO%
REM
REM - - - - - - - - - - - - - - - - -  Start Beacon - - - - - - - - - - - - -
REM
C:\QEMM\LOADHI /RF %PLTREE%\PROGRAMS\beacon WARP1 /type:5 >>%PLSO%
if errorlevel 1 pause
REM
REM - - - - - - - - - - - - - - - - -  Start Non-dedicated Server - - - - - -
REM
:server
C:\QEMM\LOADHI /RF %PLTREE%\PROGRAMS\server  /r:14 /u:8 /k:4 /b:2 /q >>%PLSO%
if errorlevel 1 pause
%PLTREE%\PROGRAMS\net sharesys C:\PL\ADMIN\SYS\PLSHARES.SYS >>%PLSO%
if errorlevel 1 pause
%PLTREE%\PROGRAMS\net sharesys /logon:C:\PL\ADMIN\USERS /start >>%PLSO%
if errorlevel 1 pause
%PLTREE%\PROGRAMS\net sharesys /admin:C:\PL\ADMIN /start >>%PLSO%
if errorlevel 1 pause
REM
REM - - - - - - - - - - -(NOT ACTIVE)  Start Dedicated Server - - - - - - - -
REM
REM
REM - - - - - - - - - - -(NOT ACTIVE)  Start Popup Redirector  - - - - - - - 
REM
REM CFG=%PLTREE%\PROGRAMS\plr CTRL-ALT-R >>%PLSO%
REM
REM - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
REM
if exist %PLTREE%\PROGRAMS\PLADMIN.EXE set PLFOUND=YES
REM
REM - - - - - - - - - - -(NOT ACTIVE)  Log User On - - - - - - - - - - - - -
REM
%PLTREE%\PROGRAMS\license /auto
REM
REM - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
REM
if %PLFOUND%. == YES. set PLTREE=
set PLFOUND=
if %PLSO%. == CON. set PLSO=
REM
REM              [--------------------------------------------]
REM              [  End of POWERLan Configuration Batch File  ]
REM              [--------------------------------------------]
REM
